org.gjt.sp.jedit.gui

## Class DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.gjt.sp.jedit.gui.DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    DockableWindowManagerImpl.DockableWindowConfig

      public class DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler
      extends org.xml.sax.helpers.DefaultHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler

          public DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler()

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes attrs)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`